with d as (
SELECT TRANSID, TRANSCODE, STATUS
, ACCOUNTID, TRANSDATE
, TRANSAMOUNT, TRANSACTIONNUMBER, NOTES
from CHECKINGACCOUNT_V1
where TRANSCODE='Deposit'),
a as (
select ACCOUNTNAME, ACCOUNTID from ACCOUNTLIST_V1
)

select w.TRANSDATE as Date
, w.TRANSID, d.TRANSID
, case when w.TRANSCODE='Transfer' then 1 else 0 end as TO_OK
, case when d.STATUS='V' or d.STATUS='D' then 1 else 0 end as FROM_OK
, w.TRANSAMOUNT as ToAmount, d.TRANSAMOUNT as FromAmount
, (select ACCOUNTNAME from a where a.ACCOUNTID=w.ACCOUNTID) /*as from_acc*/
||'->'||
(select ACCOUNTNAME from a where a.ACCOUNTID=d.ACCOUNTID) as Account
, w.TRANSACTIONNUMBER as Nr, w.NOTES as Notes
from CHECKINGACCOUNT_V1 w, d
where w.TRANSCODE!='Deposit' 
and d.TRANSDATE=w.TRANSDATE
and d.TRANSACTIONNUMBER = w.TRANSACTIONNUMBER
and d.NOTES=w.NOTES
and w.TRANSDATE >= date('now', '-1 month', 'start of month') 